#
# spec file for package python-Cycler
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Cycler
Version:        0.10.0
Release:        bp153.1.18
Summary:        Composable style cycles
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://github.com/matplotlib/cycler
Source:         https://files.pythonhosted.org/packages/source/C/Cycler/cycler-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
When plotting more than one line it is common to want to be able to
cycle over one or more artist styles. For simple cases than can be
done with out too much trouble.

However, if you want to do something more complicated, the plotting
logic can quickly become very involved. To address this and allow
easy cycling over arbitrary kwargs the Cycler class, a composable
kwarg iterator, was developed.

%prep
%setup -q -n cycler-%{version}

%build
%python_build

%install
%python_install

%files %python_files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Wed Apr 12 2017 toddrme2178@gmail.com
- Fix download URL.
* Wed Apr 12 2017 toddrme2178@gmail.com
- Fix redefinition of %%python_module macro.
* Mon Feb 27 2017 toddrme2178@gmail.com
- Fix macro usage
* Sat Feb 25 2017 toddrme2178@gmail.com
- Switch to single-spec version
* Fri Jan 20 2017 toddrme2178@gmail.com
- update to version 0.10.0:
  (no changelog available)
- Update url to pypi.io
* Fri Oct 30 2015 toddrme2178@gmail.com
- Initial version
